services:
  apache-observability:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: apache_all_in_one
    ports:
      - "8080:80"
      - "9117:9117"
      - "9080:9080"
    volumes:
      - apache-logs:/var/log/apache2
    networks:
      - centre_observabilite_observability
    restart: unless-stopped

volumes:
  apache-logs:

networks:
  centre_observabilite_observability:
    external: true
    name: centre_observabilite_observability
